Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FLAC/metadata.h: metadata level 0 interface
[FLAC/metadata.h: metadata interfaces]

The level 0 interface consists of a single routine to read the STREAMINFO block. More...

## Functions

FLAC__bool | FLAC__metadata_get_streaminfo (const char *filename, FLAC__StreamMetadata *streaminfo)

## Detailed Description

The level 0 interface consists of a single routine to read the STREAMINFO block.

It skips any ID3v2 tag at the head of the file.

## Function Documentation

FLAC__bool FLAC__metadata_get_streaminfo | ( | const char * | filename,
|  | FLAC__StreamMetadata * | streaminfo
| ) |

Read the STREAMINFO metadata block of the given FLAC file. This function will skip any ID3v2 tag at the head of the file.

Parameters:

  filename | The path to the FLAC file to read.
  streaminfo | A pointer to space for the STREAMINFO block.

Assertions:

      filename != NULL

      streaminfo != NULL

Return values:

  FLAC__bool | `true` if a valid STREAMINFO block was read from filename. Returns `false` if there was a memory allocation error, a file decoder error, or the file contained no STREAMINFO block.